#/////////////////////////////////////////////////////////////////////////////
# FILE:    hierarchyforecast_layer_gui.tcl
# PURPOSE: Definition of the communication layer between MMS and the GUI for
#          Hierarchy Forecast
#/////////////////////////////////////////////////////////////////////////////

namespace eval LayerHierarchyForecastGui {

#/////////////////////////////////////////////////////////////////////////////
proc GetHierarchyForecastListTest { } {
#/////////////////////////////////////////////////////////////////////////////
  return {
    {}
    {
      name "HierarchyForecast 1"
    }
    {}
    {
      name "HierarchyForecast 2"
    }
  }
}

variable hierarchiesf_list_test 0
#/////////////////////////////////////////////////////////////////////////////
proc GetHierarchyForecastList {forecast} {
#/////////////////////////////////////////////////////////////////////////////
  variable hierarchiesf_list_test
  
  if { $hierarchiesf_list_test } {
    return [GetHierarchyForecastListTest]
  }
  LayerMMSGui::EvalTolFun "MMS::Layer::ForecastsGui::GetHierarchyForecastList" \
    "Set" $forecast
}

#///////////////////////////////////////////////////////////////////////////
proc GetHierarchyForecastHelp {} {
#///////////////////////////////////////////////////////////////////////////
  
  LayerMMSGui::EvalTolFunArgNoChg "MMS::Layer::ForecastsGui::GetHierarchyForecastHelp" \
    "Text" "?"
}

}
